* The first line is always a comment line.
* Case-insensitive

* Control
.option post INGOLD=2

* Include the following file to load transistor models.
.include './45nm_PTM_HP_v2.1.pm'

* Parameters
.param Vsup = 1.0V

* Inverter. use NMOS_HP and PMOS_HP for NMOS and PMOS transistors.

* Transistor names should begin with "m".
* Format: <transistor name> <drain> <gate> <source> <body> <type> W L
* 1x NMOS: 45nm, 1.56x PMOS: 70nm
mn1 Vout Vin 0 0 NMOS_HP L=45n W=45n
mp1 Vout Vin Vdd Vdd PMOS_HP L=45n W=70n

* Output load capacitance. Capacitors should begin with "c".
* Format: <capacitor name> <node 1> <node 2> <value>
cout Vout 0 10f

* Power supply
* Format: <power supply name> <node 1> <node 2> <value>
VVdd Vdd 0 Vsup

* Source
Vsrc Vin 0 PWL 0p 0 10p 0 20p Vsup 1000p Vsup 1010p 0 2n 0

* Simulation
.tr 1p 2.1n
.print POWER
.measure tran avg_power_fall avg power from 0p to 1000p
.measure tran avg_power_rise avg power from 1000p to 2n

.end

